### Virtual Method

# Foundry TextDocumentAddin post_save

#### Declaration [src]

    DexFuture*
    post_save (
      FoundryTextDocumentAddin* self
    )

#### Description [src]

Called after the document is saved.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.